#1881 closed defect (fixed)

posix timing tests: psxtmrwlock05

Reported by: el.mastin2 Owned by: Jennifer Averett
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: joel.sherrill@… Blocked By:
Blocking:

Description

Contains these rwlock tests:

+ pthread_rwlock_timedwrlock - not available, blocks

The output (--target=sparc-rtems4.11 --enable-rtemsbsp=sis) is:

* POSIX TIME PSXTMRWLOCK 05 TEST *
pthread_rwlock_timedwrlock - not available, blocks 331
* END OF POSIX TIME PSXTMRWLOCK 05 TEST *

Attachments (1)

psxtmrwlock05.tar (60.0 KB) - added by el.mastin2 on Aug 2, 2011 at 4:07:07 PM.
posix timing rwlock tests: timedwrlock - not available, blocks

Download all attachments as: .zip

Change History (6)

Changed on Aug 2, 2011 at 4:07:07 PM by el.mastin2

Attachment: psxtmrwlock05.tar added

posix timing rwlock tests: timedwrlock - not available, blocks

comment:1 Changed on Aug 2, 2011 at 4:07:19 PM by el.mastin2

Owner: changed from Joel Sherrill to Jennifer Averett

comment:2 Changed on Aug 2, 2011 at 4:23:41 PM by Joel Sherrill

Cc: Joel Sherrill added

comment:3 Changed on Aug 4, 2011 at 2:02:31 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Committed with local change for abstime handling explained on psxtmrwlock03.

Thanks.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:5 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.